/*Edit*/
.counter-types ul {
  list-style: none;
  display: flex;
  gap: 1rem;
  margin: 0;
  padding: 0;
}

.counter-types ul li {
  list-style-type: none;
}

.counter-types ul li input[type="radio"] {
  margin-right: .3rem;
}

.counter-img-upload {
  display: flex;
  flex-direction: column;
}

.counter-img-upload input[type="file"] {
  border: 1px solid #ccc;
  border-radius: 4px;
}

.counter-img-upload input[type='file']::file-selector-button {
  border: 0;
  padding: .5rem;
}

.number-inputs input[id*="prefix"],
.number-inputs input[id*="suffix"] {
  text-align: center;
}

.number-inputs input[id*="number"] {
  text-align: right;
}

/*View*/
.counter-layout {
  display: flex;
  justify-content: center;
  gap: 1rem;
  flex-wrap: wrap;
}

.counter-layout .counter-container {
  width: 17rem;
  padding: 1.2rem;
  border-width: .4rem;
  border-style: solid;
  text-align: center;
}

.counter-layout .counter-container .counter-number {
  display: flex;
  justify-content: center;
}

.counter-layout .counter-container .counter-number-icon {
  padding-top: 1.5rem;
  margin-bottom: 1.3rem;
  height: 6rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.counter-layout .counter-container .counter-number-icon span[aria-hidden] {
  font-size: 3rem;
  font-weight: 700;
  line-height: 1;
  color: #666;
}

.counter-layout .counter-container img {
  width: 50px;
}



/*Spinner*/
.lds-ring,
.lds-ring div {
  box-sizing: border-box;
}

.lds-ring {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid currentColor;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: currentColor transparent transparent transparent;
}

.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}

.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}

.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}

@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

